[Overview][Constants][Types][Classes][Index] | Reference for unit 'zipper' (#fcl)

# TZipFileEntry

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: zipper.pp line 260

`type TZipFileEntry = class(TCollectionItem)`
`public`
`constructor Create(); override;`
`function IsDirectory;`
`function IsLink;`
`procedure Assign(); override;`
`property Stream: TStream; [rw]`
`published`
`property ArchiveFileName: string; [rw]`
`property DiskFileName: string; [rw]`
`property Size: Integer; [rw]`
`property DateTime: TDateTime; [rw]`
`property OS: Byte; [rw]` |  | Indication of operating system/filesystem
`property Attributes: LongInt; [rw]`
`property CompressionLevel: Tcompressionlevel; [rw]`
`end;`

## Inheritance

`TZipFileEntry`
`TCollectionItem`
`TPersistent,IFPObserved`
`TObject`

Documentation generated on: Feb 26 2014